Package eu.mhsl.minenet.gameList.world

# Enum Class Dimension

java.lang.Object
java.lang.Enum<Dimension>
eu.mhsl.minenet.gameList.world.instance.Dimension

All Implemented Interfaces:
  `Serializable`, `Comparable<Dimension>`, `Constable`

public enum Dimension extends Enum<Dimension>
Prebuilt dimensions

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NETHER`
  `OVERWORLD`
  `THE_END`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final net.minestom.server.world.DimensionType`
  `DIMENSION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Dimension`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Dimension[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OVERWORLD

    public static final Dimension OVERWORLD

  - ### NETHER

    public static final Dimension NETHER

  - ### THE_END

    public static final Dimension THE_END

- ## Field Details

  - ### DIMENSION

    public final net.minestom.server.world.DimensionType DIMENSION

- ## Method Details

  - ### values

    public static Dimension[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Dimension valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null